unit ResStrEN;

interface

uses Objects;

function StringGetter( AId: Word ): PString;

implementation

uses RString;

function StringGetter( AId: Word ): PString; assembler;
asm
         MOV   BX, [AId]
         SUB   BX, $0001
         JL    @Null
         CMP   BX, $0003
         JG    @Null
         SHL   BX, 1
         MOV   AX, CS:[ OFFSET @Tab1 + BX ]
         JMP   @Exit
@Tab1:
         DW    OFFSET @S0001, OFFSET @S0002, OFFSET @S0003, OFFSET @S0004

@Null:
         XOR   AX, AX
         JMP   @Exit

@S0001:  DB   $03, 'Yes', 0
@S0002:  DB   $02, 'No', 0
@S0003:  DB   $02, 'Ok', 0
@S0004:  DB   $06, 'Cancel', 0

@Exit:
         XOR   DX, DX
         OR    AX, AX
         JZ    @Exit2
         MOV   DX, CS
@Exit2:
end;

begin
  RSRegister( rslEN, StringGetter );
end.
